/** @file cubescript.hh
 *
 * @brief The main include file for the library.
 *
 * Include this file (like `#include <cubescript/cubescript.hh>`) to access
 * the API. You should generally not include the individual sub-files.
 *
 * @copyright See COPYING.md in the project tree for further information.
 */
 
#ifndef LIBCUBESCRIPT_CUBESCRIPT_HH
#define LIBCUBESCRIPT_CUBESCRIPT_HH

#include "cubescript_conf.hh"

#include "cubescript/platform.hh"
#include "cubescript/error.hh"
#include "cubescript/value.hh"
#include "cubescript/ident.hh"
#include "cubescript/state.hh"
#include "cubescript/util.hh"

#endif /* LIBCUBESCRIPT_CUBESCRIPT_HH */
